Skip to main content
POST
TypeScript

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

customerIntegrationId
string<uuid>
required

Customer integration unique identifier

txId
string<uuid>
required

Fireblocks transaction unique identifier

Body

application/json

Request to manually accept or reject destinations waiting for a Travel Rule message (missing TRM)

action
enum<string>
required

Decision action for destinations waiting for a Travel Rule message (missing TRM)

Available options:
ACCEPT,
REJECT
Example:

"ACCEPT"

reason
string

Optional reason for the manual decision (e.g. 'Internal KYC approved'). Do not include PII.

Maximum string length: 500
Example:

"Internal KYC approved"

Response

Decision applied (status APPLIED), accepted for the next processing attempt (status ACCEPTED), or accepted early (status PRE_ACCEPTED).

Response containing the result of a manual missing-TRM decision (POST write or GET read).

status
enum<string>
required

APPLIED - Decision applied to at least one destination immediately. ACCEPTED - Intent stored for deferred apply on the next processing attempt. PRE_ACCEPTED - Intent stored on the transaction before destinations entered the missing-TRM wait.

Available options:
APPLIED,
ACCEPTED,
PRE_ACCEPTED
Example:

"APPLIED"

action
enum<string>
required

Decision action for destinations waiting for a Travel Rule message (missing TRM)

Available options:
ACCEPT,
REJECT
Example:

"ACCEPT"

source
enum<string>
required

Source of the manual decision. Values are lowercase.

Available options:
manual,
policy
Example:

"manual"

txId
string
required

Transaction ID

Example:

"b70701f4-d7b1-4795-a8ee-b09cdb5b850e"

destinationsAffected
integer
required

Number of destinations where the decision was applied

Example:

2

destinationsSkipped
integer
required

Number of destinations that were skipped

Example:

0

details
object[]
required

Per-destination details

Maximum array length: 100